Jump to content
Froxlor Forum
  • 0

nss-mysql-root.conf is a file without a conf.version line and is therefore a configuration file version 1.


feiaweng

Question

Hallo,

 

logwatch meldet mir folgendes:

nss-mysql: /etc/nss-mysql-root.conf is a file without a conf.version line and is therefore a configuration file version 1. You must upgrade it to version 2 by doing the following: A) Replace ALL field names by fully qualified field names. For instance if you have users.uid_column = uid; replace it with users.uid_column = user.uid; provided "user" is the table name. B) Add a conf.version = 2; line somewhere in this file so that the parser is aware that you took care of the conversion.

Hier das file nss-mysql-root.conf:

conf.version = 2;

shadow.host = inet:127.0.0.1:3306;

shadow.database = dbuser;

shadow.db_user = dbuser;

shadow.db_password = password;

shadow.table = ftp_users u;

shadow.where_clause = ;

shadow.userid_column = u.customerid;

shadow.user_column = u.username;

shadow.password_column = u.password;

shadow.lastchange_column = FLOOR(UNIX_TIMESTAMP()/86400-1);

shadow.min_column = 0;

shadow.max_column = 99999;

shadow.warn_column = 7;

shadow.inact_column = -1;

shadow.expire_column = -1;

 

Allerdings hab ich grad gesehen, dass die erste Zeile statt

conf.version = 2;

nur

nf.version = 2;

beinhaltete. Ob es das war wei? ich nciht.

Ansonsten kann ich keine Fehler entdecken.

Habt ihr vielleicht eine Idee?

Habe Debian Squeeze.

 

Danke

Link to comment
Share on other sites

3 answers to this question

Recommended Posts

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...